Subject: [MMUSIC] ICE-SIP-SDP : ice-options support vs activation framework

From: Suhas Nandakumar <[email-masked]>
Date: Mon, 13 Mar 2017 01:55:33 -0700

Original Comment from Adam

"Section 4.1.1.2 discusses ice-options attributes in the terms of
"support", without any discussion of activation. Although this is treated
(somewhat lightly) later in the document, this smells like the same kind of
potential morass we ran into with SIP options tags: the patchwork means of
indicating feature *support* versus feature *activation* made it very
difficult to specify and implement things in a consistent fashion. I
strongly recommend that this document spend a bit more text discussing this
distinction, and maybe even consider a formal syntax for distinguishing
between supported and activated features"

[Suhas]
I am not sure how deep we need to go in defining a formal syntax. Would
love to get some text to accommodate the above request or thoughts on how
do we go about ...

Thanks
Suhas